Bug 248864 (CVE-2007-3655) - CVE-2007-3655 A buffer overflow vulnerability in Java Web Start URL parsing code
Summary: CVE-2007-3655 A buffer overflow vulnerability in Java Web Start URL parsing code
Status: CLOSED ERRATA
Alias: CVE-2007-3655
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard: impact=moderate,source=cve,reported=2...
Keywords: Security
Depends On: 250784 250974 250975 251133
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-19 10:54 UTC by Marc Schoenefeld
Modified: 2018-03-01 15:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 21:13:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0818 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2007-08-06 15:55:10 UTC
Red Hat Product Errata RHSA-2007:0829 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2007-08-07 19:36:59 UTC

Description Marc Schoenefeld 2007-07-19 10:54:29 UTC
Description of problem:

A buffer overflow vulnerability in the Java Web Start URL parsing code may allow
an untrusted application to elevate its privileges. For example, an application
may grant itself permissions to read and write local files or execute local
applications with the privileges of the user running the Java Web Start
application. [http://sunsolve.sun.com/search/document.do?assetkey=1-26-102996-1]

Version-Release number of selected component (if applicable):

This issue can occur in the following releases (for Windows, Solaris, and Linux):

    * Java Web Start in JDK and JRE 5.0 Update 11 and earlier

     Therefore Affects: RHEL4-EXTRAS-U5

Comment 6 Vincent Danen 2013-04-11 21:13:48 UTC
The list of fixed products with their respective errata is here:

https://access.redhat.com/security/cve/CVE-2007-3655


Note You need to log in before you can comment on or make changes to this bug.